Elastic Pools - Update

既存のエラスティック プールを更新します。

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/elasticPools/{elasticPoolName}?api-version=2014-04-01

URI パラメーター

名前 / 必須 型 説明
elasticPoolName
path True

string

更新するエラスティック プールの名前。

resourceGroupName
path True

string

リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string

Azure サブスクリプションを識別するサブスクリプション ID。

api-version
query True

string

要求に使用する API バージョン。

要求本文

名前 型 説明
parameters

ElasticPoolUpdate

エラスティック プールを更新するために必要なパラメーター。

応答

名前 型 説明
200 OK

ElasticPool

わかりました

202 Accepted

受け入れられた

例

Update elastic pool max
Update elastic pool min

Update elastic pool max

要求のサンプル

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2014-04-01

{
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "edition": "Basic",
    "state": "Ready",
    "dtu": 50,
    "databaseDtuMin": 0,
    "databaseDtuMax": 5,
    "storageMB": 5000
  }
}

応答のサンプル

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "location": "Japan East",
  "kind": null,
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "edition": "Basic",
    "state": "Ready",
    "dtu": 50,
    "databaseDtuMin": 0,
    "databaseDtuMax": 5,
    "storageMB": 5000
  }
}

Update elastic pool min

要求のサンプル

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2014-04-01

{}

応答のサンプル

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "location": "Japan East",
  "kind": null,
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "edition": "Basic",
    "state": "Ready",
    "dtu": 50,
    "databaseDtuMin": 0,
    "databaseDtuMax": 5,
    "storageMB": 5000
  }
}

定義

名前 説明
ElasticPool

データベース エラスティック プールを表します。

ElasticPoolEdition

エラスティック プールのエディション。

ElasticPoolState

エラスティック プールの状態。

ElasticPoolUpdate

エラスティック プールを更新するために必要なパラメーター。

ElasticPool

データベース エラスティック プールを表します。

名前 型 説明
id

string

リソース ID。

kind

string

エラスティック プールの種類。 これは、Azure portal エクスペリエンスに使用されるメタデータです。

location

string

リソースの場所。

name

string

リソース名。

properties.creationDate

string (date-time)

エラスティック プールの作成日 (ISO8601形式)。

properties.databaseDtuMax

integer (int32)

1 つのデータベースで使用できる最大 DTU。

properties.databaseDtuMin

integer (int32)

すべてのデータベースの最小 DTU が保証されます。

properties.dtu

integer (int32)

データベース エラスティック プールの共有 DTU の合計。

properties.edition

ElasticPoolEdition

エラスティック プールのエディション。

properties.state

ElasticPoolState

エラスティック プールの状態。

properties.storageMB

integer (int32)

データベース エラスティック プールのストレージ制限を MB 単位で取得します。

properties.zoneRedundant

boolean

このデータベース エラスティック プールがゾーン冗長であるかどうかは、このデータベースのレプリカが複数の可用性ゾーンに分散されることを意味します。

tags

object

リソース タグ。

type

string

リソースの種類。

ElasticPoolEdition

エラスティック プールのエディション。

値 説明
Basic
Standard
Premium
GeneralPurpose
BusinessCritical

ElasticPoolState

エラスティック プールの状態。

値 説明
Creating
Ready
Disabled

ElasticPoolUpdate

エラスティック プールを更新するために必要なパラメーター。

名前 型 説明
id

string

リソース ID。

name

string

リソース名。

properties.creationDate

string (date-time)

エラスティック プールの作成日 (ISO8601形式)。

properties.databaseDtuMax

integer (int32)

1 つのデータベースで使用できる最大 DTU。

properties.databaseDtuMin

integer (int32)

すべてのデータベースの最小 DTU が保証されます。

properties.dtu

integer (int32)

データベース エラスティック プールの共有 DTU の合計。

properties.edition

ElasticPoolEdition

エラスティック プールのエディション。

properties.state

ElasticPoolState

エラスティック プールの状態。

properties.storageMB

integer (int32)

データベース エラスティック プールのストレージ制限を MB 単位で取得します。

properties.zoneRedundant

boolean

このデータベース エラスティック プールがゾーン冗長であるかどうかは、このデータベースのレプリカが複数の可用性ゾーンに分散されることを意味します。

tags

object

リソース タグ。

type

string

リソースの種類。